GST APIEnvironment:
Default OTP575757
API Reference
Overview
Public
Authentication
GSTR
GSTR1
GSTR1A
GSTR2A
GSTR2B
GSTR2X
Save GSTR2X dataPUT
File GSTR2X dataPOST
File GSTR2X dataPOST
Get TDSGET
GSTR3B
GSTR4
GSTR4A
GSTR4Annual
GSTR5
GSTR6
GSTR6A
GSTR7
GSTR8
GSTR9
GSTR9A
GSTR9C
SPIKE
ALL
IMS
ITC03
ITC04
CMP
Payment
Ledger
e-Invoice
Notices

File GSTR-2X TDS/TCS Return with DSC

POSThttps://apisandbox.whitebooks.in/gstr2x/retfile

Used to file entire GSTR2X invoices.

Parameters

query parameters
emailstringrequired
API Developer User Email
panstringrequired
PAN Number
header parameters
gstinstringrequired
GST Number
ret_periodstringrequired
Return Period (MMYYYY)
gst_usernamestringrequired
GST UserName
state_cdstringrequired
State Code
ip_addressstringrequired
IP Address
txnstringrequired
Transaction
client_idstringrequired
Client ID
client_secretstringrequired
Client Secret

Request Body

application/jsonrequired
chksumstringoptional
checksum value
Example: "73ccbb8bab248957a5daffb25a073205f063d64d9cd742b88b0b04b96edb109d"
ret_periodstringoptional
month
Example: "072024"
gstinstringoptional
GSTIN of Deductee/Supplier
Example: "29AJIPA1572EZ2E"
tdsobjectoptional
tdsaobjectoptional
tcsobjectoptional
tcsaobjectoptional

Response

Not Found. If requested entity is not found or if requested API is not found.

Frequently Asked Questions

Requests are submitted via HTTP POST to /gstr2x/retfile. Required parameters: email (query parameter), pan (query parameter), gstin (header parameter), ret_period (header parameter), gst_username (header parameter), state_cd (header parameter), ip_address (header parameter), txn (header parameter), client_id (header parameter), client_secret (header parameter). A JSON request body (Content-Type: application/json) is accepted per the schema specifications shown in the request documentation.
For File GSTR2X data (POST /gstr2x/retfile), responses are returned in JSON format (application/json). Documented response codes in the specification include: HTTP 404 (Not Found. If requested entity is not found or if requested API is not found.), HTTP 500 (Internal server error).
Used to file entire GSTR2X invoices.
POST/gstr2x/retfile
1const response = await fetch('https://apisandbox.whitebooks.in/gstr2x/retfile?email=value&pan=value', {
2 method: 'POST',
3 headers: {
4 gstin: "value",
5 ret_period: "value",
6 gst_username: "value",
7 state_cd: "value",
8 ip_address: "value",
9 txn: "value",
10 client_id: "value",
11 client_secret: "value",
12 Content-Type: "application/json"
13},
14 body: JSON.stringify({
15 "chksum": "73ccbb8bab248957a5daffb25a073205f063d64d9cd742b88b0b04b96edb109d",
16 "ret_period": "072024",
17 "gstin": "29AJIPA1572EZ2E",
18 "tds": {
19 "accepted": {
20 "tot_amt": 0,
21 "tot_iamt": 0,
22 "tot_camt": 0,
23 "tot_samt": 0,
24 "tot_count": 0
25 },
26 "rejected": {
27 "tot_amt": 0,
28 "tot_iamt": 0,
29 "tot_camt": 0,
30 "tot_samt": 0,
31 "tot_count": 0
32 }
33 },
34 "tdsa": {
35 "accepted": {
36 "tot_amt": 0,
37 "tot_iamt": 0,
38 "tot_camt": 0,
39 "tot_samt": 0,
40 "tot_count": 0
41 },
42 "rejected": {
43 "tot_amt": 0,
44 "tot_iamt": 0,
45 "tot_camt": 0,
46 "tot_samt": 0,
47 "tot_count": 0
48 }
49 },
50 "tcs": {
51 "accepted": {
52 "tot_amt": 0,
53 "tot_iamt": 0,
54 "tot_camt": 0,
55 "tot_samt": 0,
56 "tot_count": 0
57 },
58 "rejected": {
59 "tot_amt": 0,
60 "tot_iamt": 0,
61 "tot_camt": 0,
62 "tot_samt": 0,
63 "tot_count": 0
64 }
65 },
66 "tcsa": {
67 "accepted": {
68 "tot_amt": 0,
69 "tot_iamt": 0,
70 "tot_camt": 0,
71 "tot_samt": 0,
72 "tot_count": 0
73 },
74 "rejected": {
75 "tot_amt": 0,
76 "tot_iamt": 0,
77 "tot_camt": 0,
78 "tot_samt": 0,
79 "tot_count": 0
80 }
81 }
82}),
83});
84
85const data = await response.json();
86console.log(data);
No example available.